.menu__card, .card-restaurant, .card, header div, .btn {
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.location a {
  font-weight: 500;
}

* {
  padding: 0;
  margin: 0;
  font-family: "Roboto", sans-serif;
  font-size: 16px;
}

.heart-full:hover {
  -webkit-animation: filling 0.5s linear both;
  animation: filling 0.5s linear both;
  -webkit-animation-delay: 0ms;
  animation-delay: 0ms;
}

a {
  text-decoration: none;
  color: inherit;
}

.bold {
  font-weight: bold;
}

.btn {
  background: linear-gradient(356deg, #9356dc 49%, #ff79da 100%);
  color: #fff !important;
  padding: 15px;
  border-radius: 50px;
  transition: all 200ms;
}
.btn:hover {
  transform: scale(1.05);
  box-shadow: 0 0px 10px rgba(0, 0, 0, 0.6);
}

.loader-screen {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(255, 255, 255, 0.8);
  z-index: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  visibility: hidden;
  -webkit-animation: visibility 6s ease-in-out both;
  animation: visibility 6s ease-in-out both;
}

.loader {
  display: block;
  position: absolute;
  visibility: hidden;
  width: 10px;
  height: 30px;
  background: #ff79da;
  -webkit-animation: grow 1.8s ease-in-out both;
  animation: grow 1.8s ease-in-out both;
  -webkit-animation-delay: -0.6s;
  animation-delay: -0.6s;
  -webkit-animation-iteration-count: 3;
  animation-iteration-count: 3;
}
.loader::before {
  content: "";
  display: block;
  position: absolute;
  width: 10px;
  height: 30px;
  background: #99E2D0;
  left: 25px;
  -webkit-animation: grow 1.8s ease-in-out both;
  animation: grow 1.8s ease-in-out both;
  -webkit-animation-delay: -1.2s;
  animation-delay: -1.2s;
  -webkit-animation-iteration-count: 3;
  animation-iteration-count: 3;
}
.loader::after {
  content: "";
  display: block;
  position: absolute;
  width: 10px;
  height: 30px;
  background: #9356dc;
  right: 25px;
  -webkit-animation: grow 1.8s ease-in-out both;
  animation: grow 1.8s ease-in-out both;
  -webkit-animation-iteration-count: 3;
  animation-iteration-count: 3;
}

@-webkit-keyframes visibility {
  0% {
    visibility: visible;
  }
  100% {
    visibility: hidden;
  }
}
@keyframes visibility {
  0% {
    visibility: visible;
  }
  100% {
    visibility: hidden;
  }
}
@-webkit-keyframes grow {
  0% {
    visibility: visible;
    transform: scaleY(1);
  }
  50% {
    transform: scaleY(0);
  }
  100% {
    transform: scaleY(1);
    visibility: hidden;
  }
}
@keyframes grow {
  0% {
    visibility: visible;
    transform: scaleY(1);
  }
  50% {
    transform: scaleY(0);
  }
  100% {
    transform: scaleY(1);
    visibility: hidden;
  }
}
header div {
  position: relative;
  padding: 20px 0;
}
header a {
  position: absolute;
  font-size: 25px;
  top: 19px;
  left: 20px;
}
header img {
  display: block;
  margin: auto;
  scale: 0.8;
}

footer {
  background: #353535;
  color: #fff;
  padding: 15px;
  line-height: 22px;
}
footer h2 {
  font-family: "Shrikhand", cursive;
  font-size: 18px;
  margin-bottom: 15px;
}
footer .plus {
  font-weight: 500;
}
footer span {
  display: grid;
  grid-template-columns: 30px auto;
}
footer a:hover {
  text-decoration: underline;
}

.location {
  padding: 20px 0;
  background: #eaeaea;
  display: flex;
  justify-content: center;
}
.location a {
  position: relative;
}
.location i {
  margin: 0 10px;
}

.presentation {
  display: grid;
  grid-template-columns: 1fr;
  background: #f6f6f6;
  padding: 30px 40px;
}
.presentation * {
  place-self: center;
  text-align: center;
  margin: 10px 0;
}
.presentation h1 {
  font-size: 22px;
}
.presentation p {
  font-weight: 300;
}

.fonctionnement {
  display: grid;
  grid-template-columns: 1fr;
  grid-row-gap: 35px;
  margin: 50px 15px;
}
.fonctionnement h2 {
  font-size: 22px;
}

.card {
  padding: 20px;
  position: relative;
  border-radius: 15px;
  transition: all 0.2s;
  display: grid;
  grid-template-columns: 20% 80%;
  place-self: center;
  white-space: nowrap;
  width: 250px;
}
.card p {
  position: absolute;
  left: -10px;
  top: 20px;
  background: #9356DC;
  font-size: 12px;
  color: #fff;
  border-radius: 50px;
  width: 20px;
  height: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.card i {
  color: #7e7e7e;
  grid-column: 1;
  justify-self: center;
}
.card h3 {
  grid-column: 2;
}
.card:hover {
  background: rgba(146, 86, 220, 0.3);
}
.card:hover i {
  color: #9356DC;
}

.restaurants {
  padding: 50px 15px;
  background: #f6f6f6;
}
.restaurants h2 {
  font-size: 22px;
  margin-bottom: 30px;
}

.card-container {
  display: grid;
  grid-template-columns: 1fr;
  row-gap: 20px;
  margin: 0 auto;
  max-width: 300px;
}

.card-restaurant {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 60px 110px 60px;
  border-radius: 25px;
  overflow: hidden;
  place-self: center;
}
.card-restaurant img {
  grid-row: 1/3;
  grid-column: 1/3;
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: center;
  object-position: center;
  width: 100%;
  height: 100%;
}
.card-restaurant .card-desc {
  padding-left: 10px;
  align-self: center;
}
.card-restaurant .new {
  grid-row: 1/2;
  grid-column: 2;
  align-self: center;
  justify-self: right;
  color: #008766;
  background: #99E2D0;
  font-size: 12px;
  padding: 5px 10px;
  margin-right: 15px;
  border-radius: 5px;
}
.card-restaurant .heart-empty {
  grid-row: 3;
  grid-column: 2;
  align-self: center;
  justify-self: end;
  font-size: 22px;
  padding-right: 20px;
  fill: #fff;
  stroke: #000;
  stroke-width: 2px;
}
.card-restaurant .heart-full {
  grid-row: 3;
  grid-column: 2;
  align-self: center;
  justify-self: end;
  font-size: 22px;
  padding-right: 20px;
  fill: url(#gradiant);
  stroke: url(#gradiant);
  stroke-width: 2px;
  opacity: 0;
}

.content {
  display: grid;
  grid-template-rows: 220px auto;
  grid-template-columns: 100%;
}

.img-resto img {
  grid-row: 1/2;
  width: 100%;
  height: 250px;
  -o-object-fit: cover;
  object-fit: cover;
}

.restaurant {
  padding: 40px 15px;
  grid-row: 2/2;
  background: #fff;
  border-radius: 25px;
}
.restaurant__name {
  display: grid;
  grid-template-columns: auto auto;
  margin-bottom: 40px;
}
.restaurant__name i {
  place-self: center;
  font-size: 22px;
}
.restaurant .heart-empty {
  grid-row: 1;
  grid-column: 2;
  font-size: 30px;
  align-self: center;
  justify-self: end;
  fill: #fff;
  stroke: #000;
  stroke-width: 2px;
}
.restaurant .heart-full {
  grid-row: 1;
  grid-column: 2;
  font-size: 30px;
  align-self: center;
  justify-self: end;
  fill: url(#gradiant);
  stroke: url(#gradiant);
  stroke-width: 2px;
  opacity: 0;
}
.restaurant .heart-full:hover {
  -webkit-animation: filling 0.5s linear both;
  animation: filling 0.5s linear both;
  -webkit-animation-delay: 0ms;
  animation-delay: 0ms;
}
@-webkit-keyframes filling {
  0% {
    opacity: 1;
    -webkit-clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
    clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
  }
  100% {
    opacity: 1;
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  }
}
@keyframes filling {
  0% {
    opacity: 1;
    -webkit-clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
    clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
  }
  100% {
    opacity: 1;
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  }
}
.restaurant h1 {
  font-family: "Shrikhand", cursive;
  font-size: 22px;
  align-self: center;
}

.menu {
  display: grid;
  grid-template-columns: 290px;
  gap: 15px;
  justify-content: center;
}
.menu__category {
  display: grid;
  gap: 15px;
}
.menu__category__title {
  text-transform: uppercase;
  font-weight: 300;
}
.menu__category__title::after {
  content: "";
  height: 3px;
  width: 40px;
  margin-top: 10px;
  background-color: #99E2D0;
  display: block;
}
.menu p {
  display: block;
}
.menu__card {
  border-radius: 15px;
  display: flex;
  overflow: hidden;
  height: 55px;
}
.menu__card:hover .menu__container {
  grid-template-columns: auto 40px 50px;
}
.menu__card:hover .menu__check-box i {
  animation: rotate 0.5s ease;
}
.menu__container {
  display: grid;
  width: 100%;
  grid-template-columns: auto 40px 0px;
  grid-template-rows: auto auto;
  -webkit-transition: all 0.5s;
  transition: all 0.5s;
}
.menu__name {
  padding: 10px 10px 0 10px;
  grid-column: 1/2;
  grid-row: 1/2;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.menu__desc {
  padding: 0px 10px 10px 10px;
  grid-column: 1/2;
  grid-row: 2/3;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
.menu__price {
  padding-right: 10px;
  grid-column: 2/3;
  grid-row: 2/3;
  justify-self: end;
}
.menu__check-box {
  grid-column: 3/4;
  grid-row: 1/3;
  background: #99E2D0;
  color: #fff;
  display: flex;
  justify-items: center;
  align-items: center;
  padding: 0 15px;
  flex-shrink: 1;
}
.menu i {
  font-size: 20px;
  color: white;
  transform: rotate(360deg);
  transition: rotate 0.5s both;
}
.menu__bouton {
  display: block;
  place-self: center;
  margin: 15px 0;
}

@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@-webkit-keyframes opacity {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes opacity {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
.opacity {
  -webkit-animation: opacity 0.5s both;
  animation: opacity 0.5s both;
}

#anim-1 {
  -webkit-animation-delay: 0.1s;
  animation-delay: 0.1s;
}

#anim-2 {
  -webkit-animation-delay: 0.2s;
  animation-delay: 0.2s;
}

#anim-3 {
  -webkit-animation-delay: 0.3s;
  animation-delay: 0.3s;
}

#anim-4 {
  -webkit-animation-delay: 0.4s;
  animation-delay: 0.4s;
}

#anim-5 {
  -webkit-animation-delay: 0.5s;
  animation-delay: 0.5s;
}

#anim-6 {
  -webkit-animation-delay: 0.6s;
  animation-delay: 0.6s;
}

#anim-7 {
  -webkit-animation-delay: 0.7s;
  animation-delay: 0.7s;
}

#anim-8 {
  -webkit-animation-delay: 0.8s;
  animation-delay: 0.8s;
}

#anim-9 {
  -webkit-animation-delay: 0.9s;
  animation-delay: 0.9s;
}

#anim-10 {
  -webkit-animation-delay: 1s;
  animation-delay: 1s;
}

#anim-11 {
  -webkit-animation-delay: 1.1s;
  animation-delay: 1.1s;
}

#anim-12 {
  -webkit-animation-delay: 1.2s;
  animation-delay: 1.2s;
}

#anim-13 {
  -webkit-animation-delay: 1.3s;
  animation-delay: 1.3s;
}

@media screen and (min-width: 768px) {
  .menu {
    grid-template-columns: 290px 290px;
    grid-template-rows: auto auto auto;
  }
  .menu__bouton {
    grid-column: 1/3;
    grid-row: 3/4;
  }

  .footer {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
}
@media screen and (min-width: 1340px) {
  main .main-content {
    display: grid;
    grid-template-columns: 10% 30% 50% 10%;
    grid-template-rows: 40px 20% auto;
  }
  main .location {
    grid-column: 1/5;
    grid-row: 1/2;
  }
  main .presentation {
    grid-column: 1/5;
    grid-row: 2/3;
  }
  main .fonctionnement {
    grid-column: 2/3;
    grid-row: 3/4;
    grid-template-rows: 60px 60px 60px 60px;
  }
  main .fonctionnement h2 {
    text-align: center;
  }
  main .restaurants {
    grid-column: 3/4;
    grid-row: 3/4;
    background: white;
  }
  main .restaurants h2 {
    text-align: center;
  }
  main .card-container {
    grid-template-columns: 300px 300px;
    gap: 20px;
    justify-content: center;
  }

  .menu {
    grid-template-columns: 340px 340px 340px;
  }
  .menu__bouton {
    grid-column: 1/4;
  }
}

/*# sourceMappingURL=style.css.map */
